Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1040476 - PRD35 - [RFE] Allow long running operations converging by vm stats monitoring
Summary: PRD35 - [RFE] Allow long running operations converging by vm stats monitoring
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Allon Mureinik
QA Contact: Aharon Canan
URL: http://www.ovirt.org/Features/HSM_Asy...
Whiteboard: storage
Depends On: 1058160
Blocks: 980914 998239 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-12-11 13:41 UTC by Allon Mureinik
Modified: 2016-02-10 20:26 UTC (History)
17 users (show)

Fixed In Version: ovirt-engine-3.5.0_alpha2
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1058160 (view as bug list)
Environment:
Last Closed: 2014-12-15 05:27:59 UTC
oVirt Team: Storage
Target Upstream Version:
scohen: Triaged+


Attachments (Terms of Use)

Description Allon Mureinik 2013-12-11 13:41:03 UTC
Description of problem:
Currently, async tasks are supported only for SPM operations.
HSM operations must either end withing 3 minutes, or are wrongly changed to be async tasks.

This feature is required in order to facilitate more advanced non-spm long operations, such as live merge.

Additional info:
http://www.ovirt.org/Features/HSM_Async_Tasks

Comment 4 Aharon Canan 2014-06-29 08:44:29 UTC
following our discussion with Allon - nothing specific to check here, only codeChange for live merged feature.

Once https://bugzilla.redhat.com/show_bug.cgi?id=647386 will be verified, this one will move to verify as well.

Comment 8 Aharon Canan 2014-12-15 05:27:59 UTC
Following comment #4 and that live merge moved to 3.5.1 for now, marking this one as currentrelease.

We can't test the live merge and the code is already in.


Note You need to log in before you can comment on or make changes to this bug.